"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.receiver = void 0;
var _reactNative = require("react-native");
var _config = require("./config");
var _util = require("./util");
var _NativeBroadcastReceiver = _interopRequireDefault(require("./js/NativeBroadcastReceiver"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
// Ignore log notification by message
_reactNative.LogBox.ignoreLogs(['`new NativeEventEmitter()` was called with a non-null argument without the required `addListener` method.', '`new NativeEventEmitter()` was called with a non-null argument without the required `removeListeners` method.']);
const nativeEventEmitter = new _reactNative.NativeEventEmitter(_NativeBroadcastReceiver.default);
class BroadcastReceiver {
  constructor() {
    let args = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _config.defaultConfig;
    _defineProperty(this, "_nativeModule", void 0);
    _defineProperty(this, "getNativeModule", () => {
      return _NativeBroadcastReceiver.default;
    });
    this._nativeModule = this.getNativeModule();
    this.setIntentActionConfig(args);
  }
  addEventListner(listener) {
    return nativeEventEmitter.addListener(_config.Constants.BROADCAST_EVENT_NAME, listener);
  }
  sendEvent(payload) {
    return nativeEventEmitter.emit(_config.Constants.BROADCAST_EVENT_NAME, {
      [_config.Constants.DATA_PROP]: payload
    });
  }

  // Start Region :: Native modules methods
  setIntentActionConfig(args) {
    var _this$_nativeModule;
    if (_reactNative.Platform.OS === 'ios') return Promise.resolve(false);
    return ((_this$_nativeModule = this._nativeModule) === null || _this$_nativeModule === void 0 ? void 0 : _this$_nativeModule.setIntentConfig((0, _util.transformConfig)(args))) ?? Promise.resolve(false);
  }
  getPhoneID() {
    var _this$_nativeModule2;
    if (_reactNative.Platform.OS === 'ios') return Promise.resolve(['']);
    return ((_this$_nativeModule2 = this._nativeModule) === null || _this$_nativeModule2 === void 0 ? void 0 : _this$_nativeModule2.getPhoneID()) ?? Promise.resolve(['']);
  }

  // Start Region :: Native modules methods
}

const receiver = new BroadcastReceiver([{
  action: 'com.string.intent',
  datakey: 'data'
}, {
  action: 'com.record.intent',
  datakey: ''
}]);
exports.receiver = receiver;
//# sourceMappingURL=BroadcastReceiver.js.map