function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
import { NativeEventEmitter, Platform } from 'react-native';
import { Constants, defaultConfig } from './config';
import { transformConfig } from './util';
import RNBroadcastReceiver from './js/NativeBroadcastReceiver';
import { LogBox } from 'react-native';

// Ignore log notification by message
LogBox.ignoreLogs(['`new NativeEventEmitter()` was called with a non-null argument without the required `addListener` method.', '`new NativeEventEmitter()` was called with a non-null argument without the required `removeListeners` method.']);
const nativeEventEmitter = new NativeEventEmitter(RNBroadcastReceiver);
class BroadcastReceiver {
  constructor() {
    let args = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultConfig;
    _defineProperty(this, "_nativeModule", void 0);
    _defineProperty(this, "getNativeModule", () => {
      return RNBroadcastReceiver;
    });
    this._nativeModule = this.getNativeModule();
    this.setIntentActionConfig(args);
  }
  addEventListner(listener) {
    return nativeEventEmitter.addListener(Constants.BROADCAST_EVENT_NAME, listener);
  }
  sendEvent(payload) {
    return nativeEventEmitter.emit(Constants.BROADCAST_EVENT_NAME, {
      [Constants.DATA_PROP]: payload
    });
  }

  // Start Region :: Native modules methods
  setIntentActionConfig(args) {
    var _this$_nativeModule;
    if (Platform.OS === 'ios') return Promise.resolve(false);
    return ((_this$_nativeModule = this._nativeModule) === null || _this$_nativeModule === void 0 ? void 0 : _this$_nativeModule.setIntentConfig(transformConfig(args))) ?? Promise.resolve(false);
  }
  getPhoneID() {
    var _this$_nativeModule2;
    if (Platform.OS === 'ios') return Promise.resolve(['']);
    return ((_this$_nativeModule2 = this._nativeModule) === null || _this$_nativeModule2 === void 0 ? void 0 : _this$_nativeModule2.getPhoneID()) ?? Promise.resolve(['']);
  }

  // Start Region :: Native modules methods
}

const receiver = new BroadcastReceiver([{
  action: 'com.string.intent',
  datakey: 'data'
}, {
  action: 'com.record.intent',
  datakey: ''
}]);
export { receiver };
//# sourceMappingURL=BroadcastReceiver.js.map